<template>
  <div>
    <v-flex v-if="kids.length">
      <v-tooltip v-for="(kid, index) in kids" :key="index" bottom>
        <template v-slot:activator="{ on, attrs }">
          <v-btn
            class="ma-2"
            color="info"
            @click="die(kid)"
            dark
            v-bind="attrs"
            v-on="on"
          >
            <v-icon class="mr-1"> mdi-baby-face </v-icon>
            ({{ kid > 9 ? kid : "0" + kid }})
          </v-btn>
        </template>
        <span>Go Die</span>
      </v-tooltip>
    </v-flex>
    <v-flex text-center v-else>
      <v-icon large>
        mdi-grave-stone
      </v-icon>
      No kids
    </v-flex>
    <v-flex xs12 my-6>
      <v-divider></v-divider>
    </v-flex>
    <v-flex xs12 text-center>
      <v-btn color="black" class="white--text" @click="allDie()">
        <v-icon class="mr-2"> mdi-skull-crossbones </v-icon>
        All Die
      </v-btn>
    </v-flex>
  </div>
</template>

<script>
export default {
  props: {
    kids: {
      type: Array,
      default: () => [],
    },
  },
  data() {
    return {};
  },
  methods: {
    die(kid) {
      const lastKids = this.kids.filter((kids) => {
        return kids !== kid;
      });
      this.$emit("update:kids", lastKids);
    },
    allDie() {
      this.$emit("update:kids", []);
    },
  },
};
</script>

<style lang="scss" scoped>
</style>